﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids.Primitives;
using System.Diagnostics;

namespace XamGridRowNumbering
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<Person> data = new ObservableCollection<Person>();
            for (int i = 0; i < 3; i++)
            {
                data.Add(new Person() { Name = i.ToString() + "person", Age = i * 10 });
            }
            this.DataContext = data;
        }

        private void ContentPresenter_Loaded(object sender, RoutedEventArgs e)
        {
            if (((sender as ContentPresenter).Content as TextBlock).Text == "0")
            {
                (sender as ContentPresenter).Content  = null;
            }
        }

    }

    public class Person : INotifyPropertyChanged
    {
        private int age;

        public int Age
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
                NotifyPropertyChanged("Age");
            }
        }

        public string Name { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
